package com.fundi.framework.common.properties;

/*
 *  Common Services Library - Framework plug-in.
 *  (C) Copyright Fundi Software 2011, 2016.  Fundi Confidential.
 *  All rights reserved.  Use, duplication or disclosure restricted. 
 */

import java.io.Serializable;

public class PropertyDefn implements Serializable {
	
	//Eye catchers.
	public static final String EC_COPYRIGHT = "(C) Copyright 2011, 2016 Fundi Software.  Fundi Confidential."; //$NON-NLS-1$
	public static final String EC_APAR = "3.1.1.00_00014"; //$NON-NLS-1$
	public static final String EC_FMID = "H30SA10"; //$NON-NLS-1$
	public static final String EC_PID = "5655-CSL"; //$NON-NLS-1$
	
	private static final long serialVersionUID = 1L;

	private String id = null;
	private String displayName = null;
	private String category = null;
	
	public PropertyDefn(String id, String displayName) {
		
		super();
		
		this.id = id;
		this.displayName = displayName;
	}
	
	public PropertyDefn(String id, String displayName, String category) {
		
		super();
		
		this.id = id;
		this.displayName = displayName;
		this.category = category;
	}

	public String getCategory() {
		
		return category;
	}

	public void setCategory(String category) {
		
		this.category = category;
	}

	public String getId() {
		
		return id;
	}

	public String getDisplayName() {
		
		return displayName;
	}
}
