package com.fundi.framework.common.util;

/*
 *  Common Services Library - Framework plug-in.
 *  (C) Copyright Fundi Software 2011, 2016.  Fundi Confidential.
 *  All rights reserved.  Use, duplication or disclosure restricted. 
 */

import com.fundi.framework.common.nl1.Messages;

public class Collator {
	
	//Eye catchers.
	public static final String EC_COPYRIGHT = "(C) Copyright 2011, 2016 Fundi Software.  Fundi Confidential."; //$NON-NLS-1$
	public static final String EC_APAR = "3.1.1.00_00014"; //$NON-NLS-1$
	public static final String EC_FMID = "H30SA10"; //$NON-NLS-1$
	public static final String EC_PID = "5655-CSL"; //$NON-NLS-1$
	
	java.text.Collator coll;
	
	public Collator() {

		super();
		
		coll = java.text.Collator.getInstance();
		coll.setStrength(java.text.Collator.TERTIARY);
		coll.setDecomposition(java.text.Collator.FULL_DECOMPOSITION);
	}
	
	public Collator(java.text.Collator collator) {
		
		super();
		
		coll = java.text.Collator.getInstance();
	}

	public int compare(String source, String target) {
		
		return coll.compare(source, target);
	}
	
	public int compare(long source, long target) {
		
		Long int1 = null;
		Long int2 = null;
		int comparison = 0;
		
		try {
			int1 = new Long(source);
			int2 =new Long(target);
			if (int1 < int2) {
				comparison = -1;
			}
			else {
				if (int1 > int2) {
					comparison = 1;
				}
			}	
		}
		catch (NumberFormatException nfe) {}
		if (int1 == null) {
			if (int2 == null) {
				comparison = 0;
			}
			else {
				comparison = -1;
			}
		}
		else {
			if (int2 == null) {
				comparison = 1;
			}
		}
		
		return comparison;
	}

	public java.text.Collator getCollator() {
		return coll;
	}
}
