/*
 *  Common Services Library - Framework plug-in.
 *  (C) Copyright Fundi Software 2011, 2016.  Fundi Confidential.
 *  All rights reserved.  Use, duplication or disclosure restricted. 
 */

package com.fundi.framework.common.util;

import java.io.BufferedInputStream;
import java.io.BufferedOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

public class FileUtil {

	//Eye catchers.
	public static final String EC_COPYRIGHT = "(C) Copyright 2011, 2016 Fundi Software.  Fundi Confidential."; //$NON-NLS-1$
	public static final String EC_APAR = "3.1.1.00_00014"; //$NON-NLS-1$
	public static final String EC_FMID = "H30SA10"; //$NON-NLS-1$
	public static final String EC_PID = "5655-CSL"; //$NON-NLS-1$

	public FileUtil() {
	}

	public static boolean copy(File src, File dst) {
		InputStream	in = null;
		OutputStream out = null;
		boolean result = false;
		byte[] buffer = new byte[32768];
		int bytes = 0;
		
		try {
			in = new BufferedInputStream(new FileInputStream(src));
			out = new BufferedOutputStream(new FileOutputStream(dst));
			bytes = in.read(buffer);
			while (bytes != -1) {
				out.write(buffer, 0, bytes);
				bytes = in.read(buffer);
			}
			out.flush();
			result = true;
		} catch (IOException ioe) {
		} finally {
			if (in != null) {
				try {
					in.close();
				} catch (IOException ine) {
				}
			}
			if (out != null) {
				try {
					out.close();
				} catch (IOException oute) {
				}
			}
		}
		
		return result;
	}
}
